package com.iqser.red.service.peristence.v1.server.integration.utils;

import org.apache.commons.codec.binary.Base64;
import org.springframework.stereotype.Service;

@Service
public class TokenService {

    private String username;
    private String password;


    public void setUser(String username, String password) {

        this.username = username;
        this.password = password;
    }


    public String getToken() {

        return Base64.encodeBase64String((this.username+":"+this.password).getBytes());
    }

}
